Page MenuHomePhabricator

Fix mediawiki-history page reconstruction bug (deletes and restores) - simple patch
Closed, ResolvedPublic8 Estimated Story Points

Description

Our semantic for restore events was incorrect: restore in logging table can happen to restore a previously deleted page (what we expected), but also to restore revisions in an existing page !!!

This task is about patching the current version and provide a non-perfect solution that will still allow for WKS2 to be continued (data validation etc).

There is another task (T179692) to improve current patch to really make the most of the data.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2017, 1:56 PM
JAllemandou updated the task description. (Show Details)
JAllemandou set the point value for this task to 5.
JAllemandou moved this task from Next Up to In Code Review on the Analytics-Kanban board.
JAllemandou renamed this task from Fix mediawiki-history page reconstruction bug (restores) to Fix mediawiki-history page reconstruction bug (deletes and restores) - simple patch.Nov 23 2017, 1:07 PM
JAllemandou updated the task description. (Show Details)
JAllemandou changed the point value for this task from 5 to 8.
Nuria closed this task as Resolved.Dec 19 2017, 11:15 PM